summaryrefslogtreecommitdiffstats
path: root/lib/post-install-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/post-install-functions.sh')
-rwxr-xr-xlib/post-install-functions.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/lib/post-install-functions.sh b/lib/post-install-functions.sh
index 5ca91897..b7235952 100755
--- a/lib/post-install-functions.sh
+++ b/lib/post-install-functions.sh
@@ -271,4 +271,9 @@ if [[ "$ha_enabled" == 'True' ]]; then
# trozet disable congress in HA until congress bugs are fixed
overcloud_connect "controller0" "sudo pcs resource ban openstack-congress overcloud-controller-1; sudo pcs resource ban openstack-congress overcloud-controller-2; sudo systemctl restart openstack-congress"
fi
+
+if [ "${deploy_options_array['vpn']}" == 'True' ]; then
+ # Check zrpcd is started
+ overcloud_connect "controller0" "sudo systemctl status zrpcd > /dev/null || echo 'WARNING: zrpcd is not running on controller0'"
+fi
}